import type { PropType, SlotsType } from 'vue';
import type { ValidationMessages, ValidationResult, ValidationTranslator } from '../type';
import type { FormGroupLabelSlotProps } from './type';
export declare const VCFormGroup: import("vue").DefineComponent<{
    label: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelContent: {
        type: StringConstructor;
        default: string;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: (ArrayConstructor | ObjectConstructor | StringConstructor)[];
        default: string;
    };
    hintContent: {
        type: StringConstructor;
        default: string;
    };
    validation: {
        type: BooleanConstructor;
        default: boolean;
    };
    validationResult: {
        type: PropType<Partial<ValidationResult>>;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
    validationTranslator: {
        type: PropType<ValidationTranslator>;
        default: any;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    label: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelContent: {
        type: StringConstructor;
        default: string;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: (ArrayConstructor | ObjectConstructor | StringConstructor)[];
        default: string;
    };
    hintContent: {
        type: StringConstructor;
        default: string;
    };
    validation: {
        type: BooleanConstructor;
        default: boolean;
    };
    validationResult: {
        type: PropType<Partial<ValidationResult>>;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
    validationTranslator: {
        type: PropType<ValidationTranslator>;
        default: any;
    };
}>>, {
    label: boolean;
    validationResult: any;
    validationMessages: ValidationMessages;
    validationTranslator: ValidationTranslator;
    labelClass: string;
    labelContent: string;
    hint: boolean;
    hintClass: string | Record<string, any> | unknown[];
    hintContent: string;
    validation: boolean;
}, SlotsType<{
    default: undefined;
    label: FormGroupLabelSlotProps;
}>>;
//# sourceMappingURL=component.d.ts.map